Subject: Re: [RFC PATCH 0/1] adding user.hideTimezone for setting UTC timezone

From: Junio C Hamano <[email-masked]>
Date: Thu, 01 Oct 2020 08:48:24 -0700

Jonathan Nieder <[email-masked]> writes:

> In addition to not having to futz with TZ, I think I like the
> semantics better.  The motivation that started this thread was not so
> much "I want to set a custom timezone to blend in" but rather "why are
> we recording the timezone at all here?"  In that context, it makes
> sense to me to have a setting such as
>
> 	core.recordTimeZone
>
> that I can turn *off* to say that I don't think datestamp() callers
> should consider the timezone to be information worth recording (and
> instead they should write +0000).  To me that seems a little simpler
> to understand than user.hideTimezone since this focuses on turning
> some functionality off (recording of the time zone) instead of turning
> on a new stealth mode.

Hmph.  It is a valid way to look at the issue, I guess.

Thanks for an input.